import { world, system} from '@minecraft/server';

world.beforeEvents.worldInitialize.subscribe(initEvent => {
const blocks = [
    "uexp:frades_crown"
  ]
  initEvent.blockComponentRegistry.registerCustomComponent("uexp:on_interact", {
    onPlayerInteract: eventData => {
    const player = eventData.player;
    const block = eventData.block;
    const {x, y, z} = block.location;
    if (blocks.includes(block.typeId)) {
      if (!player.isSneaking) {
        if (block.typeId === "uexp:frades_crown") {
          system.run(() => {
            player.dimension.runCommandAsync(`execute if block ${x} ${y} ${z} uexp:frades_crown ["uexp:growth_phase"=2] run loot spawn ${x} ${y+1} ${z} loot "uexp/blocks/frades_crown"`);
            player.dimension.runCommandAsync(`setblock ${x} ${y} ${z} uexp:frades_crown`);
          });
        }
      }
      else{
        player.dimension.runCommandAsync(``);
      }
    }
  }
})
})