import * as mc from "@minecraft/server";

mc.world.afterEvents.playerPlaceBlock.subscribe(async data=>{
    mc.system.runTimeout(()=>{
        let block = data.block
        let dimension = data.dimension
        let isTermiteMound = dimension.runCommand(`testforblock ${block.x} ${block.y} ${block.z} uexp:termite_mound`)
        if(isTermiteMound.successCount == 1){
           let entity = dimension.spawnEntity(`uexp:termite_mound_entity`, block.bottomCenter())
           entity.nameTag = "termite_mound"
        }
    },3)
})