import { world, system} from '@minecraft/server';

world.beforeEvents.worldInitialize.subscribe(initEvent => {
const blocks = [
    "uexp:thorns_trap"
  ]
  initEvent.blockComponentRegistry.registerCustomComponent("uexp:step_off", {
    onStepOff: eventData => {
    const entity = eventData.entity;
    const block = eventData.block;
    const {x, y, z} = block.location;
    if (entity.typeId !== undefined && blocks.includes(block.typeId)) {
      if (block.typeId === "uexp:xxx") {
        system.run(() => {
          entity.runCommandAsync(`setblock ${x} ${y} ${z} uexp:xxx ["uexp:pressed"=0]`);
        });
      }
    }
  }
})
})