import {world} from '@minecraft/server';
world.afterEvents.entityDie.subscribe((data) => {
    let deadEnt = data.deadEntity;
    if (deadEnt.typeId == 'minecraft:player') {
        let { x, y, z } = deadEnt.location;
        let dimensionId = deadEnt.dimension.id.replace('minecraft:','');
        let block = deadEnt.dimension.getBlock({ x, y, z });
        if (block.typeId === 'minecraft:lava' || block.typeId === 'minecraft:flowing_lava') {
            deadEnt.runCommand(`fill ~3 ~3 ~3 ~-3 ~-3 ~-3 air replace lava`);
            deadEnt.runCommand(`fill ~3 ~3 ~3 ~-3 ~-3 ~-3 air replace flowing_lava`)
        };
        deadEnt.runCommand(`summon uexp:deadbody ~~~ ~~ minecraft:entity_spawned "${deadEnt.name}"`);
        deadEnt.sendMessage(`§eDead§f: ${deadEnt.name}§r §eCoordinates§f: ${Math.floor(x)} ${Math.floor(y)} ${Math.floor(z)}§r §eDimension§f: ${dimensionId}`);
    };
});