import { world, system } from '@minecraft/server';

world.afterEvents.itemUse.subscribe(data => {
	if (data.itemStack.typeId == "uexp:raw_prea") {
		system.run(() => {
			const player = data.source;
			player.playSound("random.eat");
            player.runCommandAsync("clear @s uexp:raw_prea 0 1");
            player.runCommandAsync("effect @s saturation 1 2 true");
		});
	}
	if (data.itemStack.typeId == "uexp:cooked_prea") {
		system.run(() => {
			const player = data.source;
			player.playSound("random.eat");
			player.runCommandAsync("clear @s uexp:cooked_prea 0 1");
            player.runCommandAsync("effect @s saturation 2 2 true");
		});
	}
	if (data.itemStack.typeId == "uexp:x_prea") {
		system.run(() => {
			const player = data.source;
			player.playSound("random.eat");
			player.runCommandAsync("clear @s uexp:x_prea 0 1");
            player.runCommandAsync("effect @s saturation 3 2 true");
		});
	}
	if (data.itemStack.typeId == "uexp:tenebrio_maggot_item") {
		system.run(() => {
			const player = data.source;
			player.playSound("random.eat");
			player.runCommandAsync("clear @s uexp:tenebrio_maggot_item 0 1");
            player.runCommandAsync("effect @s saturation 1 0 true");
			player.runCommandAsync("effect @s hunger 3 3");
		});
	}
	return;
});