import { world, system } from '@minecraft/server';

world.afterEvents.itemUse.subscribe(data => {
	if (data.itemStack.typeId == "uexp:potion_poison_resistance") {
		system.run(() => {
			const player = data.source;
			player.playSound("random.drink");
			player.runCommandAsync("tag @s add uexpEffectpoisonResistance");
			player.runCommandAsync("scoreboard objectives add uexpEffectpoisonResistance dummy PoisonResistance");
			player.runCommandAsync("scoreboard players set @s uexpEffectpoisonResistance 480");
			player.sendMessage('§eEffect§f: Poison Resistance\n§eTime§f: 08:00 min');
			player.runCommandAsync("replaceitem entity @s slot.weapon.mainhand 0 minecraft:glass_bottle");
		});
	}
	if (data.itemStack.typeId == "uexp:potion_monster_freeze") {
		system.run(() => {
			const player = data.source;
			player.playSound("random.drink");
			player.runCommandAsync("tag @s add uexpEffectmonsterFreeze");
			player.runCommandAsync("scoreboard objectives add uexpEffectmonsterFreeze dummy MonsterFreeze");
			player.runCommandAsync("scoreboard players set @s uexpEffectmonsterFreeze 300");
			player.sendMessage('§eEffect§f: Monster Freeze\n§eTime§f: 05:00 min');
			player.runCommandAsync("replaceitem entity @s slot.weapon.mainhand 0 minecraft:glass_bottle");
		});
	}
	if (data.itemStack.typeId == "uexp:potion_slowness_resistance") {
		system.run(() => {
			const player = data.source;
			player.playSound("random.drink");
			player.runCommandAsync("tag @s add uexpEffectslownessResistance");
			player.runCommandAsync("scoreboard objectives add uexpEffectslownessResistance dummy SlownessResistance");
			player.runCommandAsync("scoreboard players set @s uexpEffectslownessResistance 480");
			player.sendMessage('§eEffect§f: Slowness Resistance\n§eTime§f: 08:00 min');
			player.runCommandAsync("replaceitem entity @s slot.weapon.mainhand 0 minecraft:glass_bottle");
		});
	}
	if (data.itemStack.typeId == "uexp:potion_bad_contact") {
		system.run(() => {
			const player = data.source;
			player.playSound("random.drink");
			player.runCommandAsync("tag @s add uexpEffectbadContact");
			player.runCommandAsync("scoreboard objectives add uexpEffectbadContact dummy BadContact");
			player.runCommandAsync("scoreboard players set @s uexpEffectbadContact 480");
			player.sendMessage('§eEffect§f: Bad Contact\n§eTime§f: 08:00 min');
			player.runCommandAsync("replaceitem entity @s slot.weapon.mainhand 0 minecraft:glass_bottle");
		});
	}
	if (data.itemStack.typeId == "uexp:potion_gecko_regeneration") {
		system.run(() => {
			const player = data.source;
			player.playSound("random.drink");
			player.runCommandAsync("tag @s add uexpEffectgeckoRegeneration");
			player.runCommandAsync("scoreboard objectives add uexpEffectgeckoRegeneration dummy BadContact");
			player.runCommandAsync("scoreboard players set @s uexpEffectgeckoRegeneration 180");
			player.sendMessage('§eEffect§f: Gecko Regeneration\n§eTime§f: 03:00 min');
			player.runCommandAsync("replaceitem entity @s slot.weapon.mainhand 0 minecraft:glass_bottle");
		});
	}
	if (data.itemStack.typeId == "uexp:potion_escape") {
		system.run(() => {
			const player = data.source;
			player.playSound("random.drink");
			player.sendMessage('§eEffect§f: Escape\n§eTime§f: 08:00 min');
			player.runCommandAsync("effect @s invisibility 480 54 false");
			player.runCommandAsync("effect @s speed 480 1 false");
			player.runCommandAsync("replaceitem entity @s slot.weapon.mainhand 0 minecraft:glass_bottle");
		});
	}
	return;
});