import { world, system } from "@minecraft/server"

system.runInterval(() => {
	let w = world.getDimension("overworld");
	for (let p of world.getPlayers()) {
	if(p.hasTag("uexpEffectpoisonResistance")){
		p.runCommandAsync("scoreboard players remove @p[tag=uexpEffectpoisonResistance] uexpEffectpoisonResistance 1");
		p.removeEffect("poison");
		p.runCommandAsync("execute as @p run tag @p[scores={uexpEffectpoisonResistance=..0}] remove uexpEffectpoisonResistance");
		p.runCommandAsync("execute as @a[scores={uexpEffectpoisonResistance=..0}] run scoreboard objectives remove uexpEffectpoisonResistance");
	}
	if(p.hasTag("uexpEffectslownessResistance")){
		p.runCommandAsync("scoreboard players remove @p[tag=uexpEffectslownessResistance] uexpEffectslownessResistance 1");
		p.removeEffect("slowness");
		p.runCommandAsync("execute as @p run tag @p[scores={uexpEffectslownessResistance=..0}] remove uexpEffectslownessResistance");
		p.runCommandAsync("execute as @a[scores={uexpEffectslownessResistance=..0}] run scoreboard objectives remove uexpEffectslownessResistance");
	}
	if(p.hasTag("uexpEffectmonsterFreeze")){
		p.runCommandAsync("scoreboard players remove @p[tag=uexpEffectmonsterFreeze] uexpEffectmonsterFreeze 1");
		p.runCommandAsync("execute as @p run tag @p[scores={uexpEffectmonsterFreeze=..0}] remove uexpEffectmonsterFreeze");
		p.runCommandAsync("execute at @p[scores={uexpEffectmonsterFreeze=1..}] if entity @e[family=monster, r=7] run effect @e[family=monster, r=7] slowness 1 54 false");
		p.runCommandAsync("execute at @p[scores={uexpEffectmonsterFreeze=1..}] if entity @e[family=creeper, r=7] run event entity @e[r=7, family=creeper] minecraft:stop_exploding");
		p.runCommandAsync("execute at @p[scores={uexpEffectmonsterFreeze=1..}] if entity @e[family=skeleton, r=7] run event entity @e[r=7, family=skeleton] minecraft:melee_mode");
		p.runCommandAsync("execute as @a[scores={uexpEffectmonsterFreeze=..0}] run scoreboard objectives remove uexpEffectmonsterFreeze");
	}
	if(p.hasTag("uexpEffectbadContact")){
		p.runCommandAsync("scoreboard players remove @p[tag=uexpEffectbadContact] uexpEffectbadContact 1");
		p.runCommandAsync("execute as @p run tag @p[scores={uexpEffectbadContact=..0}] remove uexpEffectbadContact");
		p.runCommandAsync("execute at @p[scores={uexpEffectbadContact=1..}] if entity @e[type=lightning_bolt, r=7] run effect @p[scores={uexpEffectbadContact=1..}] regeneration 1 20 false");
		p.runCommandAsync("execute at @p[scores={uexpEffectbadContact=1..}] if entity @e[type=lightning_bolt, r=7] run effect @p[scores={uexpEffectbadContact=1..}] fire_resistance 10 20 false");
		p.runCommandAsync("execute as @a[scores={uexpEffectbadContact=..0}] run scoreboard objectives remove uexpEffectbadContact");
	}
	if(p.hasTag("uexpEffectgeckoRegeneration")){
		p.runCommandAsync("scoreboard players remove @p[tag=uexpEffectgeckoRegeneration] uexpEffectgeckoRegeneration 1");
		p.runCommandAsync("execute as @p run tag @p[scores={uexpEffectgeckoRegeneration=..0}] remove uexpEffectgeckoRegeneration");
		p.runCommandAsync("effect @p[scores={uexpEffectgeckoRegeneration=1..}] regeneration 15 5 false");
		p.runCommandAsync("execute as @a[scores={uexpEffectgeckoRegeneration=..0}] run scoreboard objectives remove uexpEffectgeckoRegeneration");
	}
}
}, 20);