import { world } from "@minecraft/server"
import { ActionFormData } from "@minecraft/server-ui"

function uexpWildGuide(player){
    const uexpWildGuideForm = new ActionFormData()
    uexpWildGuideForm.title({translate:'ui.title.uexpWildGuide'})
    uexpWildGuideForm.button({translate:'entity.uexp:cassaco.name'}, "textures/uexp/ui/uexp_wildguide_1")
    uexpWildGuideForm.button({translate:'entity.uexp:prea.name'}, "textures/uexp/ui/uexp_wildguide_2")
    uexpWildGuideForm.button({translate:'entity.uexp:carcara.name'}, "textures/uexp/ui/uexp_wildguide_0")
    uexpWildGuideForm.button({translate:'entity.uexp:urutau.name'}, "textures/uexp/ui/uexp_wildguide_4")
    uexpWildGuideForm.button({translate:'entity.uexp:rattlesnake.name'}, "textures/uexp/ui/uexp_wildguide_3")

    uexpWildGuideForm.show(player).then(response => {
        if (response.selection == 0) {player.sendMessage('§eHP§f: 12/14\n§eBehavior§f: Neutral\n§eFood§f: Eggs, Fruits, Roots\n§eBiomes§f: Mesa, Desert\n§eLoot§f: Hair, Meat')}
        if (response.selection == 1) {player.sendMessage('§eHP§f: 6/9\n§eBehavior§f: Pacific\n§eFood§f: Roots, Spondia Fruits\n§eBiomes§f: Mesa, Desert, Forest\n§eLoot§f: Meat')}
        if (response.selection == 2) {player.sendMessage('§eHP§f: 14\n§eBehavior§f: Neutral\n§eFood§f: Raw Meat\n§eBiomes§f: Mesa, Desert\n§eLoot§f: Feather')}
        if (response.selection == 3) {player.sendMessage('§eHP§f: 15\n§eBehavior§f: Pacific\n§eFood§f: Beetle Legs\n§eBiomes§f: Mesa, Desert, Forest\n§eLoot§f: Feather\n§eInteract§f: Slime, Small Pot')}
        if (response.selection == 4) {player.sendMessage('§eHP§f: 9\n§eBehavior§f: Neutral(You:Sneaking)\n§eFood§f: Prea, Birdie\n§eBiomes§f: Mesa, Desert\n§eLoot§f: Rattle, Eye, Tooth\n§eInteract§f: Glass Bottle(Snake:Shaking) and (You:Sneaking)')}
    })
}
world.afterEvents.itemUse.subscribe(data => {
    if (data.itemStack.typeId == "uexp:wild_guide") {
        const player = data.source
        uexpWildGuide(player)
    }
})