import { world, system, BlockPermutation, ItemStack, Player } from '@minecraft/server';
import { use_durability } from '../functions.js';

world.beforeEvents.playerBreakBlock.subscribe((data) =>{
    const player = data.player;
    const block = data.block;
    const item = player.getComponent("minecraft:inventory").container.getItem(player.selectedSlotIndex);

    const wood_tier_blocks = [
    ]

    const iron_tier_blocks = [
    ]

    const diamond_tier_blocks = [
    ]

    const prevent_silk_touch = [
    ]

    const require_shears = [
    ]

    const wood_tier_pickaxe = [
        "minecraft:wooden_pickaxe",
        "minecraft:stone_pickaxe",
        "minecraft:iron_pickaxe",
        "minecraft:golden_pickaxe",
        "minecraft:diamond_pickaxe",
        "minecraft:netherite_pickaxe"
    ]

    const wood_tier_shovel = [
        "minecraft:wooden_shovel",
        "minecraft:stone_shovel",
        "minecraft:iron_shovel",
        "minecraft:golden_shovel",
        "minecraft:diamond_shovel",
        "minecraft:netherite_shovel"
    ]

    const earthworm_tier = [
        "minecraft:stone"
    ]

    //Wood Tier Shovel

    if(wood_tier_blocks.includes(block.typeId)){
        if(wood_tier_shovel.includes(item.typeId)){
            if((item.getComponent("minecraft:enchantable").getEnchantment("silk_touch")?.level ?? 0) > 0){
                data.cancel = true;
                system.run(() => {
                    block.setType("minecraft:air");
                    player.dimension.spawnItem(drop_item, { x: block.x, y: block.y, z: block.z});
                    use_durability(player, item, 1);
                })
            }
        }
        else{
            data.cancel = true;
            system.run(() => {
                block.setType("minecraft:air");
            })
        }
    }
    if(earthworm_tier.includes(block.typeId)){
        if(wood_tier_shovel.includes(item.typeId)){
            if((item.getComponent("minecraft:enchantable").getEnchantment("silk_touch")?.level ?? 0) > 0){
                data.cancel = true;
                system.run(() => {
                    block.setType("minecraft:air");
                    player.runCommandAsync("summon pig ~~~");
                    use_durability(player, item, 1);
                })
            }
        }
    }

    //Prevent Silk Touch

    if(prevent_silk_touch.includes(block.typeId)){
        if((item.getComponent("minecraft:enchantable").getEnchantment("silk_touch")?.level ?? 0) > 0){
            data.cancel = true;
            system.run(() => {
                block.setType("minecraft:air");
                player.runCommand('loot spawn ${block.x} ${block.y} ${block.z} loot \"blocks"/${block_name}\"');
                use_durability(player, item, 1);
            })
        }
    }


    return;
})