import { world, system} from '@minecraft/server';

world.beforeEvents.worldInitialize.subscribe(({ blockComponentRegistry }) => {
    blockComponentRegistry.registerCustomComponent('uexp:on_growth', {
        onTick: ({ block, dimension }) => {
            const { x, y, z } = block;
            dimension.runCommand(`execute if block ${x} ${y} ${z} uexp:frades_crown ["minecraft:cardinal_direction"="east","uexp:growth_phase"=1] run setblock ${x} ${y} ${z} uexp:frades_crown ["minecraft:cardinal_direction"="east","uexp:growth_phase"=2]`);
            dimension.runCommand(`execute if block ${x} ${y} ${z} uexp:frades_crown ["minecraft:cardinal_direction"="north","uexp:growth_phase"=1] run setblock ${x} ${y} ${z} uexp:frades_crown ["minecraft:cardinal_direction"="north","uexp:growth_phase"=2]`);
            dimension.runCommand(`execute if block ${x} ${y} ${z} uexp:frades_crown ["minecraft:cardinal_direction"="west","uexp:growth_phase"=1] run setblock ${x} ${y} ${z} uexp:frades_crown ["minecraft:cardinal_direction"="west","uexp:growth_phase"=2]`);
            dimension.runCommand(`execute if block ${x} ${y} ${z} uexp:frades_crown ["minecraft:cardinal_direction"="south","uexp:growth_phase"=1] run setblock ${x} ${y} ${z} uexp:frades_crown ["minecraft:cardinal_direction"="south","uexp:growth_phase"=2]`);
            dimension.runCommand(`execute if block ${x} ${y} ${z} uexp:frades_crown ["minecraft:cardinal_direction"="east","uexp:growth_phase"=0] run setblock ${x} ${y} ${z} uexp:frades_crown ["minecraft:cardinal_direction"="east","uexp:growth_phase"=1]`);
            dimension.runCommand(`execute if block ${x} ${y} ${z} uexp:frades_crown ["minecraft:cardinal_direction"="north","uexp:growth_phase"=0] run setblock ${x} ${y} ${z} uexp:frades_crown ["minecraft:cardinal_direction"="north","uexp:growth_phase"=1]`);
            dimension.runCommand(`execute if block ${x} ${y} ${z} uexp:frades_crown ["minecraft:cardinal_direction"="west","uexp:growth_phase"=0] run setblock ${x} ${y} ${z} uexp:frades_crown ["minecraft:cardinal_direction"="west","uexp:growth_phase"=1]`);
            dimension.runCommand(`execute if block ${x} ${y} ${z} uexp:frades_crown ["minecraft:cardinal_direction"="south","uexp:growth_phase"=0] run setblock ${x} ${y} ${z} uexp:frades_crown ["minecraft:cardinal_direction"="south","uexp:growth_phase"=1]`);
        }
    });
});
	