import { world, system} from '@minecraft/server';

world.beforeEvents.worldInitialize.subscribe(({ blockComponentRegistry }) => {
    blockComponentRegistry.registerCustomComponent('uexp:on_tick', {
        onTick: ({ block, dimension }) => {
            const { x, y, z } = block;
            dimension.runCommand(`execute if block ${x} ${y} ${z} uexp:porous_stone run particle minecraft:water_evaporation_manual ${x} ${y+1} ${z}`);
            dimension.runCommand(`execute if block ${x} ${y} ${z} uexp:porous_stone if block ${x} ${y+1} ${z} minecraft:torch run summon uexp:gasboom ${x} ${y} ${z}`);
            dimension.runCommand(`execute if block ${x} ${y} ${z} uexp:porous_stone if block ${x} ${y+1} ${z} minecraft:fire run summon uexp:gasboom ${x} ${y} ${z}`);
            dimension.runCommand(`execute if block ${x} ${y} ${z} uexp:porous_stone if block ${x} ${y+1} ${z} minecraft:campfire run summon uexp:gasboom ${x} ${y} ${z}`);
            dimension.runCommand(`execute if block ${x} ${y} ${z} uexp:porous_stone if block ${x} ${y+1} ${z} minecraft:soul_campfire run summon uexp:gasboom ${x} ${y} ${z}`);
            dimension.runCommand(`execute if block ${x} ${y} ${z} uexp:thorns_trap ["uexp:pressed"=1] run setblock ${x} ${y} ${z} uexp:thorns_trap ["uexp:pressed"=0]`);
        }
    });
});
	