import { world, system, EquipmentSlot, ItemStack, EntityEquippableComponent } from "@minecraft/server"

system.runInterval(() =>{
	let w = world.getDimension("overworld");
	
	for (let p of world.getPlayers()) {
		p.runCommandAsync(`tag @s[hasitem={item=lit_pumpkin,location=slot.weapon.mainhand}] add uexp_light_item_level_15`);
		p.runCommandAsync(`tag @s[hasitem={item=ochre_froglight,location=slot.weapon.mainhand}] add uexp_light_item_level_15`);
		p.runCommandAsync(`tag @s[hasitem={item=verdant_froglight,location=slot.weapon.mainhand}] add uexp_light_item_level_15`);
		p.runCommandAsync(`tag @s[hasitem={item=pearlescent_froglight,location=slot.weapon.mainhand}] add uexp_light_item_level_15`);
		p.runCommandAsync(`tag @s[hasitem={item=shroomlight,location=slot.weapon.mainhand}] add uexp_light_item_level_15`);
		p.runCommandAsync(`tag @s[hasitem={item=sea_lantern,location=slot.weapon.mainhand}] add uexp_light_item_level_15`);
		p.runCommandAsync(`tag @s[hasitem={item=lantern,location=slot.weapon.mainhand}] add uexp_light_item_level_15`);
		p.runCommandAsync(`tag @s[hasitem={item=glowstone,location=slot.weapon.mainhand}] add uexp_light_item_level_15`);
		p.runCommandAsync(`tag @s[hasitem={item=lava_bucket,location=slot.weapon.mainhand}] add uexp_light_item_level_15`);
		p.runCommandAsync(`tag @s[hasitem={item=torch,location=slot.weapon.mainhand}] add uexp_light_item_level_14`);
		p.runCommandAsync(`tag @s[hasitem={item=end_rod,location=slot.weapon.mainhand}] add uexp_light_item_level_14`);
		p.runCommandAsync(`tag @s[hasitem={item=glow_berries,location=slot.weapon.mainhand}] add uexp_light_item_level_14`);
		p.runCommandAsync(`tag @s[hasitem={item=soul_lantern,location=slot.weapon.mainhand}] add uexp_light_item_level_10`);
		p.runCommandAsync(`tag @s[hasitem={item=soul_torch,location=slot.weapon.mainhand}] add uexp_light_item_level_10`);
		p.runCommandAsync(`tag @s[hasitem={item=redstone_torch,location=slot.weapon.mainhand}] add uexp_light_item_level_7`);
		p.runCommandAsync(`tag @s[hasitem={item=glow_lichen,location=slot.weapon.mainhand}] add uexp_light_item_level_7`);
		p.runCommandAsync(`tag @s[hasitem={item=uexp:jar_with_firefly,location=slot.weapon.offhand}] add uexp_light_item_level_7`);
		p.runCommandAsync(`tag @s[hasitem={item=uexp:jar_with_firefly,location=slot.weapon.mainhand}] add uexp_light_item_level_7`);
		p.runCommandAsync(`tag @s[hasitem={item=magma,location=slot.weapon.mainhand}] add uexp_light_item_level_3`)

		if(p.hasTag("uexp_light_item_level_15")){
		  p.runCommandAsync(`function uexp_remove_blocks`);
		  p.runCommandAsync(`function uexp_replace_blocks`);
		  p.removeTag("uexp_light_item_level_15");
		}
		if(p.hasTag("uexp_light_item_level_14")){
		  p.runCommandAsync(`function uexp_remove_blocks`);
		  p.runCommandAsync(`function uexp_replace_blocks`);
		  p.removeTag("uexp_light_item_level_14");
		}
		if(p.hasTag("uexp_light_item_level_10")){
		  p.runCommandAsync(`function uexp_remove_blocks`);
		  p.runCommandAsync(`function uexp_replace_blocks`);
		  p.removeTag("uexp_light_item_level_10");
		}
		if(p.hasTag("uexp_light_item_level_7")){
		  p.runCommandAsync(`function uexp_remove_blocks`);
		  p.runCommandAsync(`function uexp_replace_blocks`);
		  p.removeTag("uexp_light_item_level_7");
		}
		if(p.hasTag("uexp_light_item_level_3")){
		  p.runCommandAsync(`function uexp_remove_blocks`);
		  p.runCommandAsync(`function uexp_replace_blocks`);
		  p.removeTag("uexp_light_item_level_3");
		}
		if(p.hasTag("uexp_light_item_level_3")){
			p.runCommandAsync(`function uexp_remove_blocks`);
			p.runCommandAsync(`function uexp_replace_blocks`);
			p.removeTag("uexp_light_item_level_3");
		  }
	}
})