import { world } from "@minecraft/server"
import { ActionFormData } from "@minecraft/server-ui"

function uexpTesterMode(player){
    const uexpTesterModeForm = new ActionFormData()
    uexpTesterModeForm.title("TesterMode")
    uexpTesterModeForm.button("Gamemode 0")
    uexpTesterModeForm.button("Gamemode 1")
    uexpTesterModeForm.show(player).then(response => {
        if (response.selection == 0) {
         player.runCommand("gamemode 0 @s")
        }
        if (response.selection == 1) {
         player.runCommand("gamemode 1 @s")
        }
    })
}
world.afterEvents.itemUse.subscribe(data => {
    if (data.itemStack.typeId == "minecraft:stick") {
        const player = data.source
        uexpTesterMode(player)
    }
})